Package org.snpeff.snpEffect

# Class Hgvs

java.lang.Object
org.snpeff.snpEffect.Hgvs

Direct Known Subclasses:
  `HgvsDna`, `HgvsProtein`

public class Hgvs extends Object
HGSV notation References: http://www.hgvs.org/

Author:
  pcingola

## Field Summary

Fields
Modifier and Type
Field
Description
`protected boolean`
`duplication`
`protected Genome`
`genome`
`protected boolean`
`hgvsTrId`
`protected Marker`
`marker`
`static final int`
`MAX_SEQUENCE_LEN_HGVS`
`protected boolean`
`strandMinus`
`protected boolean`
`strandPlus`
`protected Transcript`
`tr`
`protected Variant`
`variant`
`protected VariantEffect`
`variantEffect`

## Constructor Summary

Constructors
Constructor
Description
`Hgvs(VariantEffect variantEffect)`

## Method Summary

Modifier and Type
Method
Description
`protected void`
`initStrand()`
`static String`
`parseTranscript(String hgvs)`
`static String`
`removeTranscript(String hgvs)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### MAX_SEQUENCE_LEN_HGVS

public static final int MAX_SEQUENCE_LEN_HGVS

See Also:
  - Constant Field Values

### variantEffect

protected VariantEffect variantEffect

### variant

protected Variant variant

### marker

protected Marker marker

### tr

protected Transcript tr

### genome

protected Genome genome

### duplication

protected boolean duplication

### strandPlus

protected boolean strandPlus

### strandMinus

protected boolean strandMinus

### hgvsTrId

protected boolean hgvsTrId

## Constructor Details

### Hgvs

public Hgvs(VariantEffect variantEffect)

## Method Details

### parseTranscript

public static String parseTranscript(String hgvs)

### removeTranscript

public static String removeTranscript(String hgvs)

### initStrand

protected void initStrand()